function Q = detektorSS(vsig,R,okno)
%% nalezení minima ve zvoleném okně
minimum = [];
for ind = 1 : size(R,2)
    [hod poz] = min(vsig(1,R(1,ind):R(1,ind)+okno));
    minimum = [minimum (R(1,ind))+poz-1];
end
%% prahování signálu od nalezeného minima za účelem nalezení maxima
ii = 1; iii = 1;
for ind = 1 : size(minimum,2)
hodnota = mean(vsig(1,minimum(1,ind):minimum(1,ind)+okno)); % nastavení prahové hodnoty průměrem z okna
prah = hodnota;
    for ind1 = minimum(1,ind) : minimum(1,ind)+20 
        if vsig(1,ind1) > prah % prahování
            detmax{iii,ii} = ind1; % nalezené maxima
            ii = ii + 1;
        end
    end
    iii = iii + 1; % příčítání indexu
    ii = 1; % příčítání indexu
end
%% přiřazení detekovaných pozic do proměné Q
for ind = 1 : size(detmax,1)
    Q{ind} =  detmax{ind,1};
end
Q = cell2mat(Q); % převod detekovaných pozic na vektor
